#ifndef _GENERAL_H_
#define _GENERAL_H_ 1
#include <lilo.h>
#include <qwidget.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
class General:public QWidget
{
	Q_OBJECT
public:
	General(liloconf *l=0, QWidget *parent=0, const char *name=0);
    void makeReadOnly();
signals:
	void configChanged();
public slots:
	void saveChanges();
	void update();
private slots:
	void check_pw();
private:
	liloconf	*lilo;
	QComboBox	*drive;
	QSpinBox	*timeout;
	QCheckBox	*linear;
	QCheckBox	*compact;
	QCheckBox	*lock;
	QCheckBox	*restricted;
	QCheckBox	*use_password;
	QLineEdit	*password;
	QComboBox	*vga;
	QCheckBox	*prompt;
};
#endif
